Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008355 [DCSS] Source Cleanup major N/A 2014-04-06 07:08 2014-04-15 06:26
Reporter Reaver View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008355: Move player enchantment handling from main.cc to a seperate file.
Description There was a group of around 12 functions, including the monster function _decrement_durations(), which were pretty isolated and could easily be moved out of main.cc. This should make it easier to find code in both main.cc and and the new file.
Additional Information
Tags No tags attached.
Attached Files ? file icon player_reacts.patch [^] (89,229 bytes) 2014-04-15 06:00 [Show Content]

- Relationships

-  Notes
(0025836)
Reaver (developer)
2014-04-15 06:02
edited on: 2014-04-15 06:03

The current version applies cleanly to g961a08fe896de355d603cf.

Various ##crawl-dev discussion have resulted in the current name of player-reacts.cc, moving the barbs code to player-reacts.cc, squashing the patch, etc.

I deleted 3 notes which said these things one at a time.

(0025837)
sgrunt (administrator)
2014-04-15 06:26

Done.

- Issue History
Date Modified Username Field Change
2014-04-06 07:08 Reaver New Issue
2014-04-06 07:08 Reaver File Added: player_reacts.patch
2014-04-13 05:55 Reaver File Deleted: player_reacts.patch
2014-04-13 05:57 Reaver Note Added: 0025827
2014-04-13 06:31 Reaver File Added: player_reacts.patch
2014-04-15 02:51 Reaver Note Added: 0025834
2014-04-15 02:51 Reaver File Deleted: player_reacts.patch
2014-04-15 02:51 Reaver File Added: player_reacts.patch
2014-04-15 04:24 Reaver File Deleted: player_reacts.patch
2014-04-15 04:25 Reaver File Added: player-reacts.patch
2014-04-15 04:25 Reaver Note Added: 0025835
2014-04-15 04:26 Reaver Note Edited: 0025834
2014-04-15 06:00 Reaver File Deleted: player-reacts.patch
2014-04-15 06:00 Reaver File Added: player_reacts.patch
2014-04-15 06:02 Reaver Note Added: 0025836
2014-04-15 06:03 Reaver Note Deleted: 0025827
2014-04-15 06:03 Reaver Note Deleted: 0025834
2014-04-15 06:03 Reaver Note Deleted: 0025835
2014-04-15 06:03 Reaver Note Edited: 0025836
2014-04-15 06:26 sgrunt Note Added: 0025837
2014-04-15 06:26 sgrunt Assigned To => sgrunt
2014-04-15 06:26 sgrunt Status new => resolved
2014-04-15 06:26 sgrunt Resolution open => done
2014-04-15 06:26 sgrunt Fixed in Branch => 0.15 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker